def da_li_ima_abecedu (S, abeceda, brojac):
    n = brojac
    for i in range(len(S)):
       if S[i] == abeceda[n]:
           n += 1
       if n == 26:
           return True
    return False


def broj_kombinacija (S, abeceda, brojac):

    if not da_li_ima_abecedu(S, abeceda, brojac):
        return 0

    else:
        brojac_slova = 0
        for i in range (S.find(abeceda[brojac]), len(S)):
            if S[i] == abeceda[brojac]:
                brojac_slova += 1
            if brojac < 25:
                if S[i] == abeceda[brojac + 1]:
                    izlaz = brojac_slova * broj_kombinacija(S, abeceda, brojac + 1)
                    print(abeceda[brojac], " = ", brojac_slova)
                    return izlaz

        print(abeceda[brojac], " = ", brojac_slova)
        return brojac_slova




N = int(input())
abeceda = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
S = input()
lista = list(S)
n = 0

if da_li_ima_abecedu(S, abeceda, 0):
    n = broj_kombinacija(S, abeceda, 0)
    print(n)


else:
    print(n)